Loading...
Searching...
No Matches
Dune::InverseOperatorResult Struct Reference
Iterative Solvers Template Library (ISTL) » Iterative Solvers

Statistics about the application of an inverse operator. More...

`#include <dune/istl/solver.hh>`

## Public Member Functions

| InverseOperatorResult ()
| Default constructor.
void | clear ()
| Resets all data.

## Public Attributes

int | iterations
| Number of iterations.
double | reduction
| Reduction achieved: .
bool | converged
| True if convergence criterion has been met.
double | conv_rate
| Convergence rate (average reduction per step).
double | condition_estimate = -1
| Estimate of condition number.
double | elapsed
| Elapsed time in seconds.

## Detailed Description

Statistics about the application of an inverse operator.

The return value of an application of the inverse operator delivers some important information about the iteration.

## Constructor & Destructor Documentation

## InverseOperatorResult()

Dune::InverseOperatorResult::InverseOperatorResult | ( |  | ) |

inline

Default constructor.

## Member Function Documentation

## clear()

void Dune::InverseOperatorResult::clear | ( |  | ) |

inline

Resets all data.

## Member Data Documentation

## condition_estimate

double Dune::InverseOperatorResult::condition_estimate = -1

Estimate of condition number.

## conv_rate

double Dune::InverseOperatorResult::conv_rate

Convergence rate (average reduction per step).

## converged

bool Dune::InverseOperatorResult::converged

True if convergence criterion has been met.

## elapsed

double Dune::InverseOperatorResult::elapsed

Elapsed time in seconds.

## iterations

int Dune::InverseOperatorResult::iterations

Number of iterations.

## reduction

double Dune::InverseOperatorResult::reduction

Reduction achieved: .

The documentation for this struct was generated from the following file:

- solver.hh